Я хочу установить npm, после запуска npm install в новом проекте Laravel я получаю следующие ошибки:

npm WARN deprecated popper.js@1.16.1: You can find the new Popper v2 at @popperjs/core, this package is dedicated to the legacy v1
npm ERR! code EPERM
npm ERR! syscall unlink
npm ERR! path C:\Users\Andrei Bunea\Desktop\Laravel\Project\node_modules\.staging\errno-1258eed7\.travis.yml
npm ERR! errno -4048
npm ERR! Error: EPERM: operation not permitted, unlink 'C:\Users\Andrei Bunea\Desktop\Laravel\Project\node_modules\.staging\errno-1258eed7\.travis.yml'
npm ERR!  [Error: EPERM: operation not permitted, unlink 'C:\Users\Andrei Bunea\Desktop\Laravel\Project\node_modules\.staging\errno-1258eed7\.travis.yml'] {
npm ERR!   stack: "Error: EPERM: operation not permitted, unlink 'C:\\Users\\Andrei Bunea\\Desktop\\Laravel\\Project\\node_modules\\.staging\\errno-1258eed7\\.travis.yml'",
npm ERR!   errno: -4048,
npm ERR!   code: 'EPERM',
npm ERR!   syscall: 'unlink',
npm ERR!   path: 'C:\\Users\\Andrei Bunea\\Desktop\\Laravel\\Project\\node_modules\\.staging\\errno-1258eed7\\.travis.yml'
npm ERR! }
npm ERR!
npm ERR! The operation was rejected by your operating system.
npm ERR! It's possible that the file was already in use (by a text editor or antivirus),
npm ERR! or that you lack permissions to access it.
npm ERR!
npm ERR! If you believe this might be a permissions issue, please double-check the
npm ERR! permissions of the file and its containing directories, or try running
npm ERR! the command again as root/Administrator.

npm ERR! A complete log of this run can be found in:
npm ERR!     C:\Users\Andrei Bunea\AppData\Roaming\npm-cache\_logs\2020-04-25T17_06_43_120Z-debug.log

Моя версия npm - v12.14.0, а моя версия node - v12.14.0.

0
Andrei ShadowS 25 Апр 2020 в 20:14

2 ответа

Лучший ответ

Удалите папку node_modules и файл package-lock.json, затем снова запустите npm install.

0
emotality 27 Апр 2020 в 04:53

Вы должны запустить команду npm от имени суперпользователя. Попробуй sudo npm установить

Если это не имеет смысла, попробуйте удалить node_modules и попробуйте снова установить npm

1
Avishka Balasuriya 27 Апр 2020 в 05:11